import { MangolLayer } from '../../classes/Layer';
import { MangolLayerGroup } from '../../classes/LayerGroup';
import { LayertreeItemNode } from './classes/layertree-item-node.class';
export declare class LayertreeService {
    constructor();
    processLayersAndLayerGroups(items: (MangolLayer | MangolLayerGroup)[]): LayertreeItemNode[];
    private processLayer;
    private processLayerGroup;
}
